### Function

# FwupdPlugin file_input_stream_from_file

since: 2.1.7

#### Declaration [src]

    FuFileInputStream*
    fu_file_input_stream_from_file (
      GFile* file,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Opens a `GFile` for reading and returns a `FuFileInputStream`. Use this instead of g_file_read().

Available since: 2.1.7

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuFileInputStream`

A `FuFileInputStream`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.